Skip to main content
PATCH
Update Agent Branch

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

branch_id
string
required

Unique identifier for the branch.

Example:

"agtbrch_0901k4aafjxxfxt93gd841r7tv5t"

Body

application/json
name
string | null

New name for the branch. Must be unique within the agent.

Required string length: 1 - 140
is_archived
boolean | null

Whether the branch should be archived

protection_status
enum<string> | null

The protection level for the branch

Available options:
writer_perms_required,
admin_perms_required

Response

Successful Response

id
string
required
name
string
required
agent_id
string
required
description
string
required
created_at
integer
required
last_committed_at
integer
required
is_archived
boolean
required
protection_status
enum<string>
default:writer_perms_required
Available options:
writer_perms_required,
admin_perms_required
access_info
ResourceAccessInfo · object | null

Access information for the branch

Example:
current_live_percentage
number
default:0

Percentage of traffic live on the branch

parent_branch
AgentBranchBasicInfo · object | null

Parent branch of the branch

most_recent_versions
AgentVersionMetadata · object[]

Most recent versions on the branch